Skip to main content
POST
Finalize case

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<uuid>
required

The unique identifier of the fraud case

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

Request payload for finalizing a fraud case.

comment
string | null

Optional plain text comment on case (set via PATCH or finalize).

Maximum string length: 512
Pattern: ^[^\p{Cntrl}<>]*$

Response

Case finalized successfully — returns updated case

id
string<uuid>
required

Unique identifier of the fraud case

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Current status of the fraud case

Available options:
OPEN,
PENDING,
CLOSED
Example:

"OPEN"

cardId
string<biginteger>
required

Unique identifier of the card on the fraud case

Example:

"54321"

createdTime
string<date-time>
required

Time when the fraud case was created

Example:

"2025-07-01T10:00:00Z"

lastUpdatedTime
string<date-time>
required

Time when the fraud case was last updated

Example:

"2025-07-02T14:30:00Z"

transactions
object[]
required

List of transactions associated with this case

comment
string | null

Optional plain text comment on case (set via PATCH or finalize).

Maximum string length: 512
Pattern: ^[^\p{Cntrl}<>]*$
resolutionStatus
enum<string>

Final case resolution derived when the case is CLOSED:

  • NO_RISK if all transactions are NO_RISK
  • RISK if at least one transaction is RISK Omitted for OPEN or PENDING cases.
Available options:
RISK,
NO_RISK